![](https://licensebuttons.net/l/by-nc-sa/4.0/88x31.png)  
![](https://img.shields.io/badge/license-AGPL3.0-informational?logo=gnu&color=important)


Ceci est un exemple de site web construit grâce à [Hugo](https://gohugo.io) et à [GitLab Pages](https://about.gitlab.com/features/pages/).

L'adresse du site web construit est la suivante : https://misha.pages.unistra.fr/hugo/ .

La documentation officielle d'Hugo se trouve [à cette adresse](https://gohugo.io/documentation/).
Vous pouvez en apprendre davantage sur les GitLab Pages [sur cette page](https://pages.gitlab.io) ; la documentation officielle se trouve [à cette adresse](https://docs.gitlab.com/ce/user/project/pages/).

---

### Créer votre propre site

Pour créer très simplement votre propre site web, suivez les étapes suivantes :

1. Faites un clone de ce dépôt en un nouveau dépôt vous appartenant, que vous nommerez par exemple `hugo`, ou le nom de votre projet.  
   Pour cela, cliquez sur le bouton « _fork_ » en haut à droite de cette page, ou sur [ce lien](https://git.unistra.fr/misha/hugo/-/forks/new).
2. **Ne lisez pas la suite de ce texte ici !** Allez la lire sur votre dépôt à vous.
3. Modifiez la première ligne du fichier `config.yaml`.
   Corrigez l'adresse web qui s'y trouve (originellement `https://misha.pages.unistra.fr/hugo/`) en fonction de ce que vous avez indiqué à l'étape 1.  
   Par exemple, si vous vous appelez `moi` et avez nommé votre dépôt `hugo`, il vous faut indiquer `https://moi.pages.unistra.fr/hugo/`.
4. C'est tout ! Votre site est en ligne à l'adresse que vous venez de renseigner ! Au cas où, elle est indiquée aussi sur [cette page](../../../pages).

---

### Aller plus loin

* Le fichier `content/_index.md` correspond à la page d'accueil de votre site.  
  Comme tous les fichiers se terminant par `.md`, c'est un [fichier Markdown](https://docs.framasoft.org/fr/grav/markdown.html).
* Chaque fichier du répertoire `content/page` correspond à une page « statique » de votre site.
* Chaque fichier du répertoire `content/post` correspond à un article de blog de votre site.
* Le [fichier YAML](https://fr.wikipedia.org/wiki/YAML) `config.yaml` contient les paramètres de configuration de votre site.
* Le fichier `README.md` correspond à ce que vous êtes en train de lire.

---

### Qui je suis ?

Moi, c'est [Régis Witz](https://orcid.org/0000-0002-8064-0977). Enchanté ! ʕᵔᴥᵔʔ
